DF(1)

NAZWA
df - informuje o użyciu przestrzeni dyskowej systemu plików

SKŁADNIA
df [OPCJA]... [PLIK]...

OPIS
Niniejsza strona podręcznika opisuje df w wersji GNU. Program df wyświetla rozmiar przestrzeni dyskowej dostępnej w systemach plików zawierających każdy z, podanych jako argumenty, nazw plików. Jeśli nie podano żadnej nazwy pliku, pokazywana jest dostępna przestrzeń we wszystkich aktualnie zamontowanych systemach plików. Miejsce jest mierzone domyślnie w blokach po 1K, chyba że zdefiniowano zmienną środowiskową POSIXLY_CORRECT, gdy używane są bloki po 512 bajtów.

Jeśli argument jest absolutną nazwą pliku węzła urządzenia dyskowego, zawierającego zamontowany system plików, to df pokazuje ilość miejsca dostępnego w tym systemie plików, zamiast w systemie plików zawierającym węzeł urządzenia. Ta wersji df nie potrafi pokazywać miejsca dostępnego na niezamontowanych systemach plików, ponieważ w przypadku większości rodzajów systemów zrobienie tego wymaga wielce nieprzenośnej i dogłębnej wiedzy o strukturach danego systemu plików.

OPCJE

Pokazuje informacje o systemie plików, na którym znajduje się każdy z PLIKÓW lub, domyślnie, o wszystkich systemach plików.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --all
    obejmuje pseudo-, zduplikowane i niedostępne systemy plików

-B, --block-size=ROZMIAR
    przelicza rozmiary według ROZMIARU przed ich wyświetleniem np. -BM wyświetla rozmiary w jednostkach 1 048 576 bajtów; patrz format ROZMIARU poniżej.

-h, --human-readable
    wyświetla rozmiary w potędze liczby 1024 (np. 1023M)

-H, --si
    wyświetla rozmiary w potędze liczby 1000 (np. 1.1G)

-i, --inodes
    wyświetla informacje o i-węzłach, zamiast o użyciu bloków

-k  jak --block-size=1K

-l, --local
    ogranicza spis do lokalnych systemów plików

--no-sync
    nie wywołuje sync przed pozyskaniem informacji o użyciu systemów plików (domyślnie)

--output[=LISTA-PÓL]
    używa formatu wyjściowego zdefiniowanego LISTĄ-PÓL lub wypisuje wszystkie pola, jeśli pominięto LISTĘ-PÓL.

-P, --portability
    używa formatu wyjścia zgodnego z normą POSIX

--sync
    wywołuje sync przed pozyskaniem informacji o użyciu

--total
    pomija wszystkie wpisy niewpływające na dostępne miejsce i wyświetla wiersz z podsumowaniem

-t, --type=TYP
    ogranicza wyświetlane wyniki do systemów plików danego TYPU

-T, --print-type
    wyświetla typ systemów plików

-x, --exclude-type=TYP
    ogranicza wyświetlane wyniki do systemów plików poza danym TYPEM

-v  (ignorowane)

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Wartości są wyświetlane w jednostkach ROZMIARU, który jest pierwszym z podanych: opcji --block-size lub zmiennym środowiskowym DF_BLOCK_SIZE, BLOCK_SIZE, BLOCKSIZE. W przeciwnym wypadku domyślną jednostką są 1024 bajty (lub 512, jeśli ustawiono zmienną POSIXLY_CORRECT.

ROZMIAR jest liczbą całkowitą wraz z opcjonalną jednostką (np. 10K to 10*1024). Jednostki to: K, M, G, T, P, E, Z, Y (potęgi 1024) lub KB, MB itd. (potęgi 1000). Można używać również przyrostków binarnych, np. KiB=K, MiB=M itd.

LISTA-PÓL jest oddzieloną przecinkami listą kolumn do wypisania. Poprawne wartości to: source, fstype, itotal, iused, iavail, ipcent, size, used, avail, pcent, file i target (opis znajduje się na stronie info).

AUTOR
Napisane przez Torbjorna Granlunda, Davida MacKenzie i Paula Eggerta.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2020 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/df>
lub lokalnie, za pomocą info '(coreutils) df invocation'

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.